- name: Install hostapd
  package:
    name: hostapd
    state: present

- name: Set hostapd configuration
  template:
    src:  "{{ role_path }}/files/hostapd.conf"
    dest: /etc/hostapd/hostapd.conf
    mode: u=rw,g=r,o=r

- name: Create hostapd systemd override directory
  file:
    path: /etc/systemd/system/hostapd.service.d
    state: directory
    mode: u=rwx,g=rx,o=rx

- name: Set hostapd network ordering
  template:
    src:  "{{ role_path }}/files/network-ordering.conf"
    dest: /etc/systemd/system/hostapd.service.d/network-ordering.conf
    mode: u=rw,g=r,o=r
  register: hostapd_service

- name: Reload systemd daemon
  systemd:
    daemon_reload: yes
  when: hostapd_service.changed

- name: Enable hostapd service
  systemd:
    name: hostapd.service
    enabled: true
    masked: false
